=== modified file 'olive/add.py'
--- olive/add.py	2006-09-27 17:56:26 +0000
+++ olive/add.py	2006-09-27 18:00:19 +0000
@@ -32,7 +32,7 @@
 
 class OliveAdd:
     """ Display the Add file(s) dialog and perform the needed actions. """
-    def __init__(self, gladefile, wt, wtpath):
+    def __init__(self, gladefile, wt, wtpath, selected=[]):
         """ Initialize the Add file(s) dialog. """
         self.gladefile = gladefile
         self.glade = gtk.glade.XML(self.gladefile, 'window_add', 'olive-gtk')
@@ -46,8 +46,9 @@
         # Connect the signals to the handlers
         self.glade.signal_autoconnect(dic)
 
-		self.wt = wt
-		self.wtpath = wtpath
+        self.wt = wt
+        self.wtpath = wtpath
+        self.selected = selected
 
     def display(self):
         """ Display the Add file(s) dialog. """
@@ -59,7 +60,7 @@
         
         if radio_selected.get_active():
             # Add only the selected file
-            filename = self.comm.get_selected_right()
+            filename = self.selected
             
             if filename is None:
                 error_dialog(_('No file was selected'),

=== modified file 'olive/handler.py'
--- olive/handler.py	2006-09-27 17:38:39 +0000
+++ olive/handler.py	2006-09-27 18:00:19 +0000
@@ -50,7 +50,9 @@
     def on_menuitem_add_files_activate(self, widget):
         """ Add file(s)... menu handler. """
         from add import OliveAdd
-        add = OliveAdd(self.gladefile, self.comm)
+        wt, path = WorkingTree.open_containing(self.comm.get_path())
+        add = OliveAdd(self.gladefile, wt, path, 
+                self.comm.get_selected_right())
         add.display()
     
     def on_menuitem_branch_get_activate(self, widget):

